import { useRef as i, useCallback as f } from "../../external/.pnpm/preact@10.28.2/node_modules/preact/hooks/dist/hooks.module.js";
import u from "../useReflex.js";
import o from "../../utils/random/uniqueId.js";
const c = (r) => {
  const e = i();
  return u(
    f((n, t) => {
      t instanceof Element && t.id === e.current && (t.id = ""), n instanceof Element && (n.id = e.current || (e.current = o()));
    }, []),
    r
  );
};
export {
  c as default
};
